%global srcname pycosat

Summary:        Python bindings to picosat (a SAT solver)
Name:           python-%{srcname}
Version:        0.6.6
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/ContinuumIO/%{srcname}
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  gcc picosat-devel

%description
PicoSAT is a popular SAT solver written by Armin Biere in pure C. This package
provides efficient Python bindings to picosat on the C level, i.e.  when
importing pycosat, the picosat solver becomes part of the Python process itself.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        Python bindings to picosat (a SAT solver)
BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-pytest

%description -n python%{python3_pkgversion}-%{srcname}
PicoSAT is a popular SAT solver written by Armin Biere in pure C. This package
provides efficient Python bindings to picosat on the C level, i.e.  when
importing pycosat, the picosat solver becomes part of the Python process itself.

%prep
%autosetup -n %{srcname}-%{version}
sed -i -e s/distutils.core/setuptools/ setup.py
rm -f picosat.*

sed -i "s/if .--inplace. in sys.argv:/if True:/" setup.py

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitearch} py.test-%{python3_version} -vv

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc AUTHORS.md CHANGELOG.md README.rst
%{python3_sitearch}/*

%changelog
* Mon Dec 11 2023 Shuo Wang <abushwang@tencent.com> - 0.6.6-1
- initial build
